Eclipse-Projekt kann nicht ausgeführt werden - können API -Datenbank nicht gefunden

? F1sher @ | Original: StackOverFlow
---

Ihr Code kompiliert . Es gibt keine Fehler im Code. Ich heruntergeladen volle SDK. Am Lauf bekomme ich diesen Fehler :

Can't find API database; API check not performed        

Und es ist in der Lage: Linie 1, Typ Android Lint Problem .

Ich habe keine Ahnung, was falsch .

---

Top 5 Antwort

1F1sher @

Ich reparierte es . Im Manifest hatte ich in der speziellen Verwendung -sdk minSdkVersion aber ich hatte keine targetSdkVersion . Nach der Zugabe des targetSdkVersion Parameter kompiliert und lief .

2BartoszK @

Ich habe es anders gelöst . Im Manifest hatte ich :

<uses-sdk
    android:minSdkVersion="9"
    android:targetSdkVersion="19" />

Das Problem war, dass nach der Installation der neuen Eclipse- ADT, in " Android SDK Manager" Ich habe keine SDK -Plattform installiert hatte . So habe ich API 19 installiert SDK Platform & amp; Dokumentation & amp; Sources . Ich würde auch installieren API 9, aber aus irgendeinem Grund ist es in SDK -Manager fehlt.

Wie auch immer, danach habe ich die android bearbeitet: minSdkVersion = "10" -> [ Speichern ] -> wieder auf android geändert : minSdkVersion = "9" -> [ speichern ] ... Und das Problem war verschwunden.

3Sharky @ go to your Manifest click on Uses Sdk change Min SDK version to 9 or something else and press ctrl+s (save) error should disappear now change Min SDK version back to your original value

Dadurch gelöst, dass es für mich.